package domain


type AlibabaWdkTradeOrderBalanceBillQueryApiResult struct {
    /*
        model     */
    Model  *AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillResponseDo `json:"model,omitempty" `

    /*
        错误码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        错误信息     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        成功失败     */
    Success  *bool `json:"success,omitempty" `

}

func (s *AlibabaWdkTradeOrderBalanceBillQueryApiResult) SetModel(v AlibabaWdkTradeOrderBalanceBillQueryOrderBalanceBillResponseDo) *AlibabaWdkTradeOrderBalanceBillQueryApiResult {
    s.Model = &v
    return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryApiResult) SetErrCode(v string) *AlibabaWdkTradeOrderBalanceBillQueryApiResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryApiResult) SetErrMsg(v string) *AlibabaWdkTradeOrderBalanceBillQueryApiResult {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkTradeOrderBalanceBillQueryApiResult) SetSuccess(v bool) *AlibabaWdkTradeOrderBalanceBillQueryApiResult {
    s.Success = &v
    return s
}
